/* CSS Document */

html {
    background-color: black;
}



.videoSpacer {
	position: relative;
	padding-top: 55%;
	width: 100%;
}
#videoWrapper {
	display: flex;
	flex-wrap: wrap;
	align-content: flex-start;
	justify-content: flex-start;
	height: 100%;
	overflow: hidden;
	width: 100%;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
}
#videoMain {
	width: 75%;
	height: auto;
	overflow: hidden;
	box-sizing: border-box;
	background-color: white;
	color: white;
	background-image: url(https://rahal.com/wp-content/uploads/2024/04/pietro-2.jpg);
	background-size: cover;
	background-position: 0 300px;
}
#videoRight {
	width: 25%;
	position: relative;
	background-color: black;
}
#videoList {
	height: auto;
	width: 99%;
	overflow: auto;
	overflow-y: scroll;
	scrollbar-color: white black;
	box-sizing: border-box;
	padding: 0px 0px;
	position: relative;
	margin-top: 40px;
}
#videoUl {
	width: 90%;
    margin: 15px auto 70px auto;
}
#videoUl li {
	padding: 10px 0px 10px 10px;
	transition: 0.2s ease-out all !important;
	box-sizing: border-box;
	font-family: roboto;
	position: relative;
	cursor: pointer;
	border-radius: 10px;
    background-color: #818181;
    margin-bottom: 20px;
}
#videoUl li:hover {
	background-color: #D5D5D5;
}


#videoUl li .blackGrad {
	position: absolute;
	z-index: 3000;
	bottom: 0;
	left: 0;
	right: 0;
	height: 100px;
	background-image: url("/wp-content/uploads/2022/03/video-list-bottom-black-grad.png");
	background-repeat: repeat-x;
	background-position: center top;
	pointer-events: none;
}

#videoUl a {
	color: black !important;
	text-decoration: none;
}
.breadcrumbs {
	display: none !important;
}
.videoEntry {
	display: flex;
	flex-wrap: wrap;
	align-content: center;
	justify-content: left;
	width: 100%;
}
.videoEntry .thumb {
	width: 97% !important;
    height: 0px;
    padding-top: 56.25%;
	box-sizing: border-box;
	position: relative;
	background-position: center center;
	background-size: cover;
	border-radius: 10px;
	margin-bottom: 10px;
}
.videoEntry .info {
	width: 90%;
	box-sizing: border-box;
	padding: 0 0 0 7px;
}
.videoEntry .title {
	line-height: 18px;
	font-size: 14px;
	font-weight: bold;
	margin-bottom: 4px;
	color: #2F2F2F;
	font-family: "Raleway", Arial, Tahoma, sans-serif;
}
#videoUl li.active {
	background-color: white;
	color: white;
	cursor: default;
}
#videoUl li.active .title {
	color: #cf2e2e;
}

#videoMain .videoCatsWrapper{
	margin-top: 15px;
	font-size: 20px;
	padding: 10px 15px 15px 15px;
	background-color: rgba(65,65,65,0.60);
	border-radius: 6px;
}
#videoMain .videoCatsWrapper .title{
	margin-bottom: 10px;
}
#videoMain .vidCatsList{
	list-style: none;
	margin-top: 5px;
}
#videoMain .vidCatsList li{
	float: left;
	margin-right: 10px;
}
#videoMain .vidCatsList li a{
	color: #cf2e2e;
	font-size: 16px;
	background-color: white;
	padding: 5px 12px;
	text-align: center;
	text-decoration: none;
	border-radius: 3px;
	font-weight: bold;
}
#videoMain .vidCatsList li a:hover, #videoMain .vidCatsList li a.active{
	background-color: #FFF052;
	color: black;
}


#videoUl li .playBtnSmall {
	background-image: url(/wp-content/uploads/2024/05/play.png);
	background-repeat: no-repeat;
	background-position: center center;
	background-size: contain;
	width: 100%;
	height: 50px;
	position: absolute;
	bottom: 35%;
	z-index: 4000;
	transition: 0.2s ease-out;
	opacity: .3;
}
#videoUl li:hover .playBtnSmall {
	transform: scale(1.1);
	opacity: 1;
}

#videoUl li.active .playBtnSmall{
	display: none;
}

#videoWrapper .videoContainer {
	position: relative;
	height: 0;
	padding-top: 56.25%;
	width: 100%;
	margin-bottom: 20px;
}
#videoWrapper .videoContainer iframe {
	position: absolute;
	top: 0;
	left: 0;
	border: 0;
	width: 100%;
	height: 100%;
}
#videoWrapper .vidInfoBox {
	padding: 0 20px 20px 20px;
}
#videoWrapper .vidDesc {
	color: white;
}
#videoWrapper .video_duration {
	font-size: 12px;
	line-height: 13px;
	margin: 5px 0px;
	color: white;
	background-color: rgba(0,0,0,0.60);
	padding: 3px 5px;
	position: absolute;
	bottom: 0px;
	right: 5px;
	font-family: arial;
	font-weight: bold;
	z-index: 99999999;
}
#videoWrapper h2.vidTitle {
	font-size: 2em;
	font-weight: bold;
	margin: .35em 0 10px 0;
	color: #cf2e2e;
	font-family: "Raleway", Arial, Tahoma, sans-serif;
}
#videoWrapper .playingNow {
	font-size: 12px;
	font-weight: bold;
	color: white;
	background-color: #be242c;
	padding: 3px 7px;
	line-height: 13px;
	display: table;
	border-radius: 5px;
	position: absolute;
    bottom: 8px;
    left: 10px;
    z-index: 999999999;
}
#videoWrapper .playingNext {
	font-size: 12px;
	font-weight: bold;
	color: white;
	background-color: #C76947;
	padding: 3px 7px;
	line-height: 13px;
	display: table;
	border-radius: 5px;
	position: absolute;
    bottom: 8px;
    left: 10px;
    z-index: 999999999;
}
#videoWrapper .videoListShadow {
	position: absolute;
	z-index: 3000;
	bottom: 0;
	left: 0;
	right: 0;
	height: 100px;
	background-image: url("/wp-content/uploads/2022/03/video-list-bottom-black-grad.png");
	background-repeat: repeat-x;
	background-position: center top;
	pointer-events: none;
}
#videoWrapper .vidDescBlub {
	font-size: 13px;
	font-weight: normal;
	color: #484848;
	line-height: 18px;
	margin-bottom: 4px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}


/*  Toggle Switch  */
.autoPlayNextBtn {
	font-family: roboto;
	font-size: 13px;
	font-weight: bold;
	margin: 0 auto;
	position: absolute;
	z-index: 99999999999;
	top: 0;
	left: 0;
	right: 0;
	line-height: 0px;
	padding: 10px 0 5px 15px;
	background-color: black;
	-webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}
.autoPlayText{
	display: inline; 
	line-height: 0px; 
	vertical-align: text-top;
	margin-left: 15px;
	color: white;
}
.toggleSwitch span span {
	display: none;
}
	
.vidCount{
	float: right;
	clear: right;
	padding-right: 20px;
	line-height: 22px;
	color:#CCCCCC;
	font-weight: normal;
}
	
	
	
@media only screen {
	
	.toggleSwitch {
		display: inline-block;
		height: 18px;
		position: relative;
		overflow: visible;
		padding: 0;
	/*	margin-left: 47px;*/
		cursor: pointer;
		width: 40px
	}
	.toggleSwitch * {
		-webkit-box-sizing: border-box;
		-moz-box-sizing: border-box;
		box-sizing: border-box;
	}
	.toggleSwitch label, .toggleSwitch > span {
		line-height: 20px;
		height: 19px;
		vertical-align: middle;
	}
	.toggleSwitch input:focus ~ a, .toggleSwitch input:focus + label {
		outline: none;
	}
	.toggleSwitch label {
		position: relative;
		z-index: 3;
		display: block;
		width: 100%;
	}
	.toggleSwitch input {
		position: absolute;
		opacity: 0;
		z-index: 5;
	}
	.toggleSwitch > span {
		position: absolute;
	/*	left: -50px;*/
		width: 100%;
		margin: 0;
		padding-right: 50px;
		text-align: left;
		white-space: nowrap;
	}
	.toggleSwitch > span span {
		position: absolute;
		/*top: 0;
		left: 0;
		width: 50%;*/
		z-index: 5;
		display: block;

	/*	margin-left: 50px;*/
		text-align: left;
		font-size: 0.9em;
		width: 100%;
		left: 15%;
		top: -1px;
		opacity: 0;
	}
	.toggleSwitch a {
		position: absolute;
		right: 50%;
		z-index: 4;
		display: block;
		height: 100%;
		padding: 0;
		left: 2px;
		width: 18px;
		background-color: #fff;
		border: 1px solid #CCC;
		border-radius: 100%;
		-webkit-transition: all 0.2s ease-out;
		-moz-transition: all 0.2s ease-out;
		transition: all 0.2s ease-out;
		box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
	}
	.toggleSwitch > span span:first-of-type {
		color: #999;
		opacity: 1;
		left: 45%;
	}
	.toggleSwitch > span:before {
		content: '';
		display: block;
		width: 100%;
		height: 100%;
		position: absolute;
	/*	left: 50px;*/
		top: -1px;
		background-color: #fafafa;
		border: 1px solid #ccc;
		border-radius: 30px;
		-webkit-transition: all 0.2s ease-out;
		-moz-transition: all 0.2s ease-out;
		transition: all 0.2s ease-out;
	}
	.toggleSwitch input:checked ~ a {
		border-color: #fff;
		left: 100%;
		margin-left: -8px;
	}
	.toggleSwitch input:checked ~ span:before {
		border-color: green;
		box-shadow: inset 0 0 0 30px green;
	}
	.toggleSwitch input:checked ~ span span:first-of-type {
		opacity: 0;
	}
	.toggleSwitch input:checked ~ span span:last-of-type {
		opacity: 1;
		color: #fff;
	}
	.autoToggleData{
		display: none;
	}
	/*  End Toggle Switch  */
	
}

@media only screen and (max-width: 1700px) {
	
	.videoSpacer {
		padding-top: 60%;
	}
}

@media only screen and (max-width: 1400px) {
	
	.videoSpacer {
		padding-top: 65%;
	}
}

@media only screen and (max-width: 1000px) {
	
	.videoSpacer {
		padding-top: 72%;
	}
}
@media only screen and (max-width: 1000px) {
	
	.videoSpacer {
		padding-top: 80%;
	}
}


@media only screen and (max-width: 768px) {
	#videoWrapper {
		display: block;
		height: auto;
		position: relative;
	}
	#videoMain {
		width: 100%;
		height: auto;
		overflow: visible;
	}
	#videoRight {
		width: 100%;
		height: auto !important;
		overflow: visible;
	}
	.videoSpacer {
		padding-top: 0%;
	}
	#videoMain .vidCatsList li a{
		line-height: 40px;
	}
	#videoWrapper h2.vidTitle {
		font-size: 1.4em;
		line-height: 28px;
	}
	
}
	
	